<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_frequencia_regional = array();
	$tdatasenuc_frequencia_regional[".NumberOfChars"] = 80; 
	$tdatasenuc_frequencia_regional[".ShortName"] = "senuc_frequencia_regional";
	$tdatasenuc_frequencia_regional[".OwnerID"] = "idregional";
	$tdatasenuc_frequencia_regional[".OriginalTable"] = "senuc_frequencias";

//	field labels
$fieldLabelssenuc_frequencia_regional = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["categoria"] = "Categoria";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["categoria"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["cpf"] = "Cpf";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["cpf"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["nome"] = "Nome";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["nome"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["ano"] = "Ano";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["ano"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["mes"] = "Mes";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["mes"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["dias_abertura"] = "Dias Abertura";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["dias_abertura"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["presencas"] = "Presencas";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["presencas"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["data_insercao"] = "Data Insercao";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["data_insercao"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["operador"] = "Operador";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["operador"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["nome_nucleo"] = "Nome Nucleo";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["nome_nucleo"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["idregional"] = "Idregional";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["idregional"] = "";
	$fieldLabelssenuc_frequencia_regional["Portuguese(Brazil)"]["nome_regional"] = "Nome Regional";
	$fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]["nome_regional"] = "";
	if (count($fieldToolTipssenuc_frequencia_regional["Portuguese(Brazil)"]))
		$tdatasenuc_frequencia_regional[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_frequencia_regional[".NCSearch"] = true;



$tdatasenuc_frequencia_regional[".shortTableName"] = "senuc_frequencia_regional";
$tdatasenuc_frequencia_regional[".nSecOptions"] = 1;
$tdatasenuc_frequencia_regional[".recsPerRowList"] = 1;
$tdatasenuc_frequencia_regional[".mainTableOwnerID"] = "idregional";
$tdatasenuc_frequencia_regional[".moveNext"] = 1;
$tdatasenuc_frequencia_regional[".nType"] = 1;

$tdatasenuc_frequencia_regional[".strOriginalTableName"] = "senuc_frequencias";




$tdatasenuc_frequencia_regional[".showAddInPopup"] = true;

$tdatasenuc_frequencia_regional[".showEditInPopup"] = true;

$tdatasenuc_frequencia_regional[".showViewInPopup"] = true;

$tdatasenuc_frequencia_regional[".fieldsForRegister"] = array();

$tdatasenuc_frequencia_regional[".listAjax"] = false;

	$tdatasenuc_frequencia_regional[".audit"] = false;

	$tdatasenuc_frequencia_regional[".locking"] = false;

$tdatasenuc_frequencia_regional[".listIcons"] = true;
$tdatasenuc_frequencia_regional[".view"] = true;

$tdatasenuc_frequencia_regional[".exportTo"] = true;

$tdatasenuc_frequencia_regional[".printFriendly"] = true;

$tdatasenuc_frequencia_regional[".delete"] = true;

$tdatasenuc_frequencia_regional[".showSimpleSearchOptions"] = false;

$tdatasenuc_frequencia_regional[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_frequencia_regional[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_frequencia_regional[".isUseAjaxSuggest"] = true;

$tdatasenuc_frequencia_regional[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_frequencia_regional[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_frequencia_regional[".isUseTimeForSearch"] = false;




$tdatasenuc_frequencia_regional[".allSearchFields"] = array();

$tdatasenuc_frequencia_regional[".allSearchFields"][] = "categoria";
$tdatasenuc_frequencia_regional[".allSearchFields"][] = "nome_nucleo";
$tdatasenuc_frequencia_regional[".allSearchFields"][] = "nome_regional";
$tdatasenuc_frequencia_regional[".allSearchFields"][] = "nome";
$tdatasenuc_frequencia_regional[".allSearchFields"][] = "cpf";
$tdatasenuc_frequencia_regional[".allSearchFields"][] = "ano";
$tdatasenuc_frequencia_regional[".allSearchFields"][] = "mes";
$tdatasenuc_frequencia_regional[".allSearchFields"][] = "dias_abertura";
$tdatasenuc_frequencia_regional[".allSearchFields"][] = "presencas";

$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "id";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "categoria";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "cpf";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "nome";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "ano";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "mes";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "dias_abertura";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "presencas";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "idnucleo";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "operador";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "data_insercao";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "idregional";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "nome_nucleo";
$tdatasenuc_frequencia_regional[".googleLikeFields"][] = "nome_regional";


$tdatasenuc_frequencia_regional[".advSearchFields"][] = "categoria";
$tdatasenuc_frequencia_regional[".advSearchFields"][] = "nome_nucleo";
$tdatasenuc_frequencia_regional[".advSearchFields"][] = "nome_regional";
$tdatasenuc_frequencia_regional[".advSearchFields"][] = "nome";
$tdatasenuc_frequencia_regional[".advSearchFields"][] = "cpf";
$tdatasenuc_frequencia_regional[".advSearchFields"][] = "ano";
$tdatasenuc_frequencia_regional[".advSearchFields"][] = "mes";
$tdatasenuc_frequencia_regional[".advSearchFields"][] = "dias_abertura";
$tdatasenuc_frequencia_regional[".advSearchFields"][] = "presencas";

$tdatasenuc_frequencia_regional[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_frequencia_regional[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY senuc_frequencias.ano DESC, senuc_frequencias.mes DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_frequencia_regional[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_frequencia_regional[".orderindexes"] = array();
$tdatasenuc_frequencia_regional[".orderindexes"][] = array(5, (0 ? "ASC" : "DESC"), "senuc_frequencias.ano");
$tdatasenuc_frequencia_regional[".orderindexes"][] = array(6, (0 ? "ASC" : "DESC"), "senuc_frequencias.mes");

$tdatasenuc_frequencia_regional[".sqlHead"] = "SELECT senuc_frequencias.id,  senuc_frequencias.categoria,  senuc_frequencias.cpf,  senuc_frequencias.nome,  senuc_frequencias.ano,  senuc_frequencias.mes,  senuc_frequencias.dias_abertura,  senuc_frequencias.presencas,  senuc_frequencias.idnucleo,  senuc_frequencias.operador,  senuc_frequencias.data_insercao,  senuc_frequencias.idregional,  senuc_nucleo.nome AS nome_nucleo,  regionais.regional AS nome_regional";
$tdatasenuc_frequencia_regional[".sqlFrom"] = "FROM senuc_frequencias  INNER JOIN senuc_nucleo ON senuc_frequencias.idnucleo = senuc_nucleo.id  INNER JOIN regionais ON senuc_frequencias.idregional = regionais.id";
$tdatasenuc_frequencia_regional[".sqlWhereExpr"] = "";
$tdatasenuc_frequencia_regional[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_frequencia_regional[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_frequencia_regional[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_frequencia_regional = array();
$tableKeyssenuc_frequencia_regional[] = "id";
$tdatasenuc_frequencia_regional[".Keys"] = $tableKeyssenuc_frequencia_regional;

$tdatasenuc_frequencia_regional[".listFields"] = array();
$tdatasenuc_frequencia_regional[".listFields"][] = "categoria";
$tdatasenuc_frequencia_regional[".listFields"][] = "nome_nucleo";
$tdatasenuc_frequencia_regional[".listFields"][] = "nome_regional";
$tdatasenuc_frequencia_regional[".listFields"][] = "nome";
$tdatasenuc_frequencia_regional[".listFields"][] = "cpf";
$tdatasenuc_frequencia_regional[".listFields"][] = "ano";
$tdatasenuc_frequencia_regional[".listFields"][] = "mes";
$tdatasenuc_frequencia_regional[".listFields"][] = "dias_abertura";
$tdatasenuc_frequencia_regional[".listFields"][] = "presencas";

$tdatasenuc_frequencia_regional[".viewFields"] = array();
$tdatasenuc_frequencia_regional[".viewFields"][] = "categoria";
$tdatasenuc_frequencia_regional[".viewFields"][] = "nome_nucleo";
$tdatasenuc_frequencia_regional[".viewFields"][] = "nome_regional";
$tdatasenuc_frequencia_regional[".viewFields"][] = "nome";
$tdatasenuc_frequencia_regional[".viewFields"][] = "cpf";
$tdatasenuc_frequencia_regional[".viewFields"][] = "ano";
$tdatasenuc_frequencia_regional[".viewFields"][] = "mes";
$tdatasenuc_frequencia_regional[".viewFields"][] = "dias_abertura";
$tdatasenuc_frequencia_regional[".viewFields"][] = "presencas";

$tdatasenuc_frequencia_regional[".addFields"] = array();

$tdatasenuc_frequencia_regional[".inlineAddFields"] = array();

$tdatasenuc_frequencia_regional[".editFields"] = array();
$tdatasenuc_frequencia_regional[".editFields"][] = "categoria";
$tdatasenuc_frequencia_regional[".editFields"][] = "nome";
$tdatasenuc_frequencia_regional[".editFields"][] = "cpf";
$tdatasenuc_frequencia_regional[".editFields"][] = "ano";
$tdatasenuc_frequencia_regional[".editFields"][] = "mes";
$tdatasenuc_frequencia_regional[".editFields"][] = "dias_abertura";
$tdatasenuc_frequencia_regional[".editFields"][] = "presencas";

$tdatasenuc_frequencia_regional[".inlineEditFields"] = array();

$tdatasenuc_frequencia_regional[".exportFields"] = array();
$tdatasenuc_frequencia_regional[".exportFields"][] = "categoria";
$tdatasenuc_frequencia_regional[".exportFields"][] = "nome_nucleo";
$tdatasenuc_frequencia_regional[".exportFields"][] = "nome_regional";
$tdatasenuc_frequencia_regional[".exportFields"][] = "nome";
$tdatasenuc_frequencia_regional[".exportFields"][] = "cpf";
$tdatasenuc_frequencia_regional[".exportFields"][] = "ano";
$tdatasenuc_frequencia_regional[".exportFields"][] = "mes";
$tdatasenuc_frequencia_regional[".exportFields"][] = "dias_abertura";
$tdatasenuc_frequencia_regional[".exportFields"][] = "presencas";

$tdatasenuc_frequencia_regional[".printFields"] = array();
$tdatasenuc_frequencia_regional[".printFields"][] = "categoria";
$tdatasenuc_frequencia_regional[".printFields"][] = "nome_nucleo";
$tdatasenuc_frequencia_regional[".printFields"][] = "nome_regional";
$tdatasenuc_frequencia_regional[".printFields"][] = "nome";
$tdatasenuc_frequencia_regional[".printFields"][] = "cpf";
$tdatasenuc_frequencia_regional[".printFields"][] = "ano";
$tdatasenuc_frequencia_regional[".printFields"][] = "mes";
$tdatasenuc_frequencia_regional[".printFields"][] = "dias_abertura";
$tdatasenuc_frequencia_regional[".printFields"][] = "presencas";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "senuc_frequencias.id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["id"] = $fdata;
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Categoria"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "categoria"; 
		$fdata["FullName"] = "senuc_frequencias.categoria";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 1;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "categoria";
	
		
	$edata["LookupTable"] = "senuc_categoria";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
		$edata["SimpleAdd"] = true;
			
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["categoria"] = $fdata;
//	cpf
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "cpf";
	$fdata["GoodName"] = "cpf";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Cpf"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "cpf"; 
		$fdata["FullName"] = "senuc_frequencias.cpf";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=20";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["cpf"] = $fdata;
//	nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "nome";
	$fdata["GoodName"] = "nome";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Nome"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "senuc_frequencias.nome";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["nome"] = $fdata;
//	ano
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ano";
	$fdata["GoodName"] = "ano";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Ano"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "ano"; 
		$fdata["FullName"] = "senuc_frequencias.ano";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["ano"] = $fdata;
//	mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "mes";
	$fdata["GoodName"] = "mes";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Mes"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "mes"; 
		$fdata["FullName"] = "senuc_frequencias.mes";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["mes"] = $fdata;
//	dias_abertura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "dias_abertura";
	$fdata["GoodName"] = "dias_abertura";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Dias Abertura"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "dias_abertura"; 
		$fdata["FullName"] = "senuc_frequencias.dias_abertura";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["dias_abertura"] = $fdata;
//	presencas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "presencas";
	$fdata["GoodName"] = "presencas";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Presencas"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "presencas"; 
		$fdata["FullName"] = "senuc_frequencias.presencas";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["presencas"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "senuc_frequencias.idnucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["idnucleo"] = $fdata;
//	operador
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "operador";
	$fdata["GoodName"] = "operador";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Operador"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "operador"; 
		$fdata["FullName"] = "senuc_frequencias.operador";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["operador"] = $fdata;
//	data_insercao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "data_insercao";
	$fdata["GoodName"] = "data_insercao";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Data Insercao"; 
	$fdata["FieldType"] = 7;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "data_insercao"; 
		$fdata["FullName"] = "senuc_frequencias.data_insercao";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["data_insercao"] = $fdata;
//	idregional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "idregional";
	$fdata["GoodName"] = "idregional";
	$fdata["ownerTable"] = "senuc_frequencias";
	$fdata["Label"] = "Idregional"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idregional"; 
		$fdata["FullName"] = "senuc_frequencias.idregional";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["idregional"] = $fdata;
//	nome_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "nome_nucleo";
	$fdata["GoodName"] = "nome_nucleo";
	$fdata["ownerTable"] = "senuc_nucleo";
	$fdata["Label"] = "Nome Nucleo"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nome"; 
		$fdata["FullName"] = "senuc_nucleo.nome";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["nome_nucleo"] = $fdata;
//	nome_regional
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "nome_regional";
	$fdata["GoodName"] = "nome_regional";
	$fdata["ownerTable"] = "regionais";
	$fdata["Label"] = "Nome Regional"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "regional"; 
		$fdata["FullName"] = "regionais.regional";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_frequencia_regional["nome_regional"] = $fdata;

	
$tables_data["senuc_frequencia_regional"]=&$tdatasenuc_frequencia_regional;
$field_labels["senuc_frequencia_regional"] = &$fieldLabelssenuc_frequencia_regional;
$fieldToolTips["senuc_frequencia_regional"] = &$fieldToolTipssenuc_frequencia_regional;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_frequencia_regional"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_frequencia_regional"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_frequencia_regional()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "senuc_frequencias.id,  senuc_frequencias.categoria,  senuc_frequencias.cpf,  senuc_frequencias.nome,  senuc_frequencias.ano,  senuc_frequencias.mes,  senuc_frequencias.dias_abertura,  senuc_frequencias.presencas,  senuc_frequencias.idnucleo,  senuc_frequencias.operador,  senuc_frequencias.data_insercao,  senuc_frequencias.idregional,  senuc_nucleo.nome AS nome_nucleo,  regionais.regional AS nome_regional";
$proto0["m_strFrom"] = "FROM senuc_frequencias  INNER JOIN senuc_nucleo ON senuc_frequencias.idnucleo = senuc_nucleo.id  INNER JOIN regionais ON senuc_frequencias.idregional = regionais.id";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY senuc_frequencias.ano DESC, senuc_frequencias.mes DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_frequencias"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "senuc_frequencias"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "cpf",
	"m_strTable" => "senuc_frequencias"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_frequencias"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_frequencias"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_frequencias"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "dias_abertura",
	"m_strTable" => "senuc_frequencias"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "presencas",
	"m_strTable" => "senuc_frequencias"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_frequencias"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
						$proto23=array();
			$obj = new SQLField(array(
	"m_strName" => "operador",
	"m_strTable" => "senuc_frequencias"
));

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "";
$obj = new SQLFieldListItem($proto23);

$proto0["m_fieldlist"][]=$obj;
						$proto25=array();
			$obj = new SQLField(array(
	"m_strName" => "data_insercao",
	"m_strTable" => "senuc_frequencias"
));

$proto25["m_expr"]=$obj;
$proto25["m_alias"] = "";
$obj = new SQLFieldListItem($proto25);

$proto0["m_fieldlist"][]=$obj;
						$proto27=array();
			$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_frequencias"
));

$proto27["m_expr"]=$obj;
$proto27["m_alias"] = "";
$obj = new SQLFieldListItem($proto27);

$proto0["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "nome",
	"m_strTable" => "senuc_nucleo"
));

$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "nome_nucleo";
$obj = new SQLFieldListItem($proto29);

$proto0["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "regional",
	"m_strTable" => "regionais"
));

$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "nome_regional";
$obj = new SQLFieldListItem($proto31);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto33=array();
$proto33["m_link"] = "SQLL_MAIN";
			$proto34=array();
$proto34["m_strName"] = "senuc_frequencias";
$proto34["m_columns"] = array();
$proto34["m_columns"][] = "id";
$proto34["m_columns"][] = "categoria";
$proto34["m_columns"][] = "cpf";
$proto34["m_columns"][] = "nome";
$proto34["m_columns"][] = "ano";
$proto34["m_columns"][] = "mes";
$proto34["m_columns"][] = "dias_abertura";
$proto34["m_columns"][] = "presencas";
$proto34["m_columns"][] = "idnucleo";
$proto34["m_columns"][] = "idregional";
$proto34["m_columns"][] = "operador";
$proto34["m_columns"][] = "data_insercao";
$obj = new SQLTable($proto34);

$proto33["m_table"] = $obj;
$proto33["m_alias"] = "";
$proto35=array();
$proto35["m_sql"] = "";
$proto35["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto35["m_column"]=$obj;
$proto35["m_contained"] = array();
$proto35["m_strCase"] = "";
$proto35["m_havingmode"] = "0";
$proto35["m_inBrackets"] = "0";
$proto35["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto35);

$proto33["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto33);

$proto0["m_fromlist"][]=$obj;
												$proto37=array();
$proto37["m_link"] = "SQLL_INNERJOIN";
			$proto38=array();
$proto38["m_strName"] = "senuc_nucleo";
$proto38["m_columns"] = array();
$proto38["m_columns"][] = "id";
$proto38["m_columns"][] = "idregional";
$proto38["m_columns"][] = "login";
$proto38["m_columns"][] = "senha";
$proto38["m_columns"][] = "nome";
$proto38["m_columns"][] = "responsavel";
$proto38["m_columns"][] = "endereco";
$proto38["m_columns"][] = "cep";
$proto38["m_columns"][] = "estado";
$proto38["m_columns"][] = "cidade";
$proto38["m_columns"][] = "tipo";
$proto38["m_columns"][] = "site";
$proto38["m_columns"][] = "email";
$proto38["m_columns"][] = "telefone";
$proto38["m_columns"][] = "celular";
$proto38["m_columns"][] = "operadora";
$proto38["m_columns"][] = "data_inicio";
$proto38["m_columns"][] = "observacao";
$proto38["m_columns"][] = "prepara_para";
$proto38["m_columns"][] = "funciona_em";
$proto38["m_columns"][] = "ativo";
$proto38["m_columns"][] = "motivo";
$proto38["m_columns"][] = "id_mdl";
$proto38["m_columns"][] = "meta_funcionamento";
$proto38["m_columns"][] = "meta_alunos";
$proto38["m_columns"][] = "limite_alunos_por_coordenador";
$proto38["m_columns"][] = "min_presenca_coordenador";
$proto38["m_columns"][] = "min_presenca_professor";
$proto38["m_columns"][] = "min_presenca_aluno";
$proto38["m_columns"][] = "min_atividades";
$proto38["m_columns"][] = "data_ultimo_score";
$proto38["m_columns"][] = "ultimo_score";
$proto38["m_columns"][] = "aceite";
$obj = new SQLTable($proto38);

$proto37["m_table"] = $obj;
$proto37["m_alias"] = "";
$proto39=array();
$proto39["m_sql"] = "senuc_frequencias.idnucleo = senuc_nucleo.id";
$proto39["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_frequencias"
));

$proto39["m_column"]=$obj;
$proto39["m_contained"] = array();
$proto39["m_strCase"] = "= senuc_nucleo.id";
$proto39["m_havingmode"] = "0";
$proto39["m_inBrackets"] = "0";
$proto39["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto39);

$proto37["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto37);

$proto0["m_fromlist"][]=$obj;
												$proto41=array();
$proto41["m_link"] = "SQLL_INNERJOIN";
			$proto42=array();
$proto42["m_strName"] = "regionais";
$proto42["m_columns"] = array();
$proto42["m_columns"][] = "id";
$proto42["m_columns"][] = "regional";
$proto42["m_columns"][] = "responsavel";
$proto42["m_columns"][] = "endereco";
$proto42["m_columns"][] = "telefone";
$proto42["m_columns"][] = "email";
$proto42["m_columns"][] = "celular";
$obj = new SQLTable($proto42);

$proto41["m_table"] = $obj;
$proto41["m_alias"] = "";
$proto43=array();
$proto43["m_sql"] = "senuc_frequencias.idregional = regionais.id";
$proto43["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "idregional",
	"m_strTable" => "senuc_frequencias"
));

$proto43["m_column"]=$obj;
$proto43["m_contained"] = array();
$proto43["m_strCase"] = "= regionais.id";
$proto43["m_havingmode"] = "0";
$proto43["m_inBrackets"] = "0";
$proto43["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto43);

$proto41["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto41);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto45=array();
						$obj = new SQLField(array(
	"m_strName" => "ano",
	"m_strTable" => "senuc_frequencias"
));

$proto45["m_column"]=$obj;
$proto45["m_bAsc"] = 0;
$proto45["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto45);

$proto0["m_orderby"][]=$obj;					
												$proto47=array();
						$obj = new SQLField(array(
	"m_strName" => "mes",
	"m_strTable" => "senuc_frequencias"
));

$proto47["m_column"]=$obj;
$proto47["m_bAsc"] = 0;
$proto47["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto47);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_frequencia_regional = createSqlQuery_senuc_frequencia_regional();
														$tdatasenuc_frequencia_regional[".sqlquery"] = $queryData_senuc_frequencia_regional;
	
if(isset($tdatasenuc_frequencia_regional["field2"])){
	$tdatasenuc_frequencia_regional["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_frequencia_regional["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_frequencia_regional["field2"]["LookupType"] = 4;
	$tdatasenuc_frequencia_regional["field2"]["LinkField"] = "email";
	$tdatasenuc_frequencia_regional["field2"]["DisplayField"] = "name";
	$tdatasenuc_frequencia_regional[".hasCustomViewField"] = true;
}

$tableEvents["senuc_frequencia_regional"] = new eventsBase;
$tdatasenuc_frequencia_regional[".hasEvents"] = false;

$cipherer = new RunnerCipherer("senuc_frequencia_regional");

?>